Skip site navigation (1) Skip section navigation (2)

Re: psqlODBC 08.02.0300 doesn't compile

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Dave Page <dpage(at)postgresql(dot)org>
Cc: Hiroshi Saito <z-saito(at)guitar(dot)ocn(dot)ne(dot)jp>, pgsql-odbc(at)postgresql(dot)org, Peter Eisentraut <peter_e(at)gmx(dot)net>
Subject: Re: psqlODBC 08.02.0300 doesn't compile
Date: 2007-04-25 18:22:19
Message-ID: 3281.1177525339@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-odbc
Dave Page <dpage(at)postgresql(dot)org> writes:
> I don't know about the RPM packaging rules, but you can build from 
> source just fine as long as you don't try to regenerate any of the 
> autoconf/automake stuff.

Not really an option for me, since I need to insert the same libtool
version that is used on whichever Red Hat distribution I'm building for.

In any case, the other point is that you're failing to distribute the
complete source code as defined by the LGPL license you're using
(ie, the "preferred form of the work for making modifications" ---
derived files ain't it).

Being the authors, you can of course do whatever you want, but it's
arguably illegal for Red Hat or other packagers to redistribute this
package, since we are likewise failing to provide the complete source
code.

			regards, tom lane

In response to

Responses

pgsql-odbc by date

Next:From: Dave PageDate: 2007-04-25 18:50:37
Subject: Re: psqlODBC 08.02.0300 doesn't compile
Previous:From: Dave PageDate: 2007-04-25 18:04:12
Subject: Re: psqlODBC 08.02.0300 doesn't compile

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group